# nose2.runner

class nose2.runner.PluggableTestRunner(session)

  Test runner that defers most work to plugins.

  Parameters:

    session – Test run session

  resultClass

    Class to instantiate to create test result. Default: `nose2.result.PluggableTestResult`.

  resultClass

    alias of `PluggableTestResult`

  run(test)

    Run tests.

    Parameters:

      test – A unittest `TestSuite`` or `TestClass`.

    Returns:

      Test result

    Fires `startTestRun()` and `stopTestRun()` hooks.